scala.xml.factory
class Binder

[source: `scala/xml/factory/Binder.scala`]

`abstract` `class` Binder(`val` preserveWS : Boolean)
  `extends` ValidatingMarkupHandler

Author
  Burak Emir

Value Summary
`var` | result : NodeBuffer

Values and Variables inherited from ValidatingMarkupHandler
rootLabel, qStack, qCurrent, declStack, declCurrent, isValidating

Values and Variables inherited from MarkupHandler
decls, ent

Method Summary
`final def` | comment (pos : Int, txt : String) : Comment callback method invoked by MarkupParser after parsing comment.
`final def` | entityRef (pos : Int, n : String) : EntityRef callback method invoked by MarkupParser after parsing entity ref.
`final def` | procInstr (pos : Int, target : String, txt : String) : ProcInstr callback method invoked by MarkupParser after parsing PI.
`def` | reportSyntaxError (pos : Int, str : String) : Unit report a syntax error
`final def` | text (pos : Int, txt : String) : Text callback method invoked by MarkupParser after parsing text.
`final def` | traverse (n : Node) : Unit
`final def` | validate (n : Node) : Node

Methods inherited from ValidatingMarkupHandler
reportValidationError (abstract), log, endDTD, elemStart, elemEnd, elemDecl, attListDecl, unparsedEntityDecl, notationDecl, peReference

Methods inherited from MarkupHandler
elem (abstract), lookupElemDecl, replacementText, parameterEntityDecl, parsedEntityDecl

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `var` result : NodeBuffer

Method Details

`` `def` reportSyntaxError(pos : Int, str : String) : Unit

  report a syntax error

`final` `def` procInstr(pos : Int, target : String, txt : String) : ProcInstr

  callback method invoked by MarkupParser after parsing PI.

Parameters
  `pos -` the position in the source file
  `target -` ...
  `txt -` ...
Returns
  ...

`final` `def` comment(pos : Int, txt : String) : Comment

  callback method invoked by MarkupParser after parsing comment.

Parameters
  `pos -` the position in the source file
  `comment -` ...
Returns
  ...

`final` `def` entityRef(pos : Int, n : String) : EntityRef

  callback method invoked by MarkupParser after parsing entity ref.

Todo
  expanding entity references

`final` `def` text(pos : Int, txt : String) : Text

  callback method invoked by MarkupParser after parsing text.

`final` `def` traverse(n : Node) : Unit

`final` `def` validate(n : Node) : Node